PHP Manual
Prev |  | Next

# ZipArchive::setCommentName

(no version information, might be only in CVS)

ZipArchive::setCommentName -- Set the comment of an entry defined by its name

## Description

mixed ZipArchive::setCommentIndex ( string name, string comment )

Set the comment of an entry defined by its name.

## Parameters

name

  Name of the entry.

comment

  The contents of the comment.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. Open an archive and set a comment for an entry

`<?php $zip = new ZipArchive; $res = $zip->open('test.zip'); if ($res === TRUE) { $z->setCommentName('entry1.txt', 'new entry comment'); $zip->close(); echo 'ok'; } else { echo 'failed'; } ?>`

Prev | Home | Next
ZipArchive::setCommentIndex | Up | ZipArchive::statIndex